Solución: Nexus Mod Manager no pudo obtener información de la versión del servidor de actualizaciones

Aviso: Haga Clic Aquí Para Corregir Los Errores De Windows Y Optimizar El Rendimiento Del Sistema

Nexus Mod Manager es un programa de código abierto asociado con Nexus Mods. El programa está disponible para Windows y permite a los usuarios descargar e implementar automáticamente modificaciones en sus juegos. Sin embargo, recientemente se han recibido muchos informes de usuarios que no pueden obtener actualizaciones de la aplicación. La aplicación muestra el error "Nexus Mod Manager Updater: No se pudo obtener información de la versión del servidor de actualización" al intentar actualizar.

El mensaje de error Falló las actualizaciones.

¿Qué causa el error de actualización de Nexus Mod Manager?

Después de nuestra investigación del asunto, diseñamos un conjunto de soluciones que resolvieron el error para la mayoría de nuestros usuarios. Además, analizamos las causas del problema y algunas de las más comunes se enumeran a continuación.

  • Privilegios administrativos: en algunos casos, este error puede ocurrir debido a que la aplicación no tiene suficientes permisos. Cuando el Iniciador intenta ponerse en contacto con los servidores y escribir en el disco duro, los permisos insuficientes impiden que lo haga.
  • Cortafuegos: a veces, el cortafuegos de Windows puede impedir que ciertos elementos de la aplicación entren en contacto con los servidores. Esto puede evitar que el cliente se actualice, por lo tanto, se produce este error.
  • Error de protocolo: en las versiones anteriores de la aplicación se estaba utilizando el protocolo HTTP. Sin embargo, en las versiones más recientes, se utiliza el protocolo HTTP. El protocolo HTTP es necesario debido a las Leyes recientes aprobadas en Europa debido a que todos los sitios web tienen que usar el protocolo HTTP. Nexus Mods también se actualizó al protocolo HTTP. Por lo tanto, las versiones anteriores de la aplicación ya no pueden conectarse.
  • Aplicación desactualizada: en algunos casos, también se informó que este error se produjo en las versiones más recientes de la aplicación. Por lo tanto, se lanzó una nueva versión de la aplicación para corregir este error, sin embargo, el sitio web de Nexus Mods no actualizó su base de datos a la versión más reciente de la aplicación. Sin embargo, la actualización está disponible en el sitio de Git Hub.

Ahora que tiene una comprensión básica de la naturaleza del problema, avanzaremos hacia las soluciones. Es importante que implemente estas soluciones en el orden específico en que se proporcionan.

Solución 1: concesión de privilegios administrativos.

En algunos casos, este error puede ocurrir debido a que la aplicación tiene permisos insuficientes. Cuando el Iniciador intenta ponerse en contacto con los servidores y escribir en el disco duro, los permisos insuficientes impiden que lo haga. Por lo tanto, en este paso, vamos a otorgar privilegios administrativos a la aplicación. Para eso:

  1. Haga clic derecho en el ejecutable de la aplicación .
  2. Seleccione " Propiedades ".
  3. Haga clic en la pestaña " Compatibilidad " y marque la casilla " Ejecutar como administrador ".
  4. Intente ejecutar la aplicación y verifique si el problema persiste.

    Proporcionar permisos administrativos.

Solución 2: Conceder acceso en el firewall.

A veces, el firewall de Windows puede bloquear que ciertos elementos de la aplicación entren en contacto con los servidores. Esto puede evitar que el cliente se actualice, por lo tanto, se produce este error. Por lo tanto, en este paso, vamos a otorgar a la aplicación una exclusión en el Firewall de Windows. Para eso:

  1. Haga clic en el menú Inicio y seleccione el icono " Configuración ".
  2. Dentro de la configuración, haga clic en la opción " Actualizaciones y seguridad ".
  3. Seleccione la opción " Seguridad de Windows " en el panel izquierdo.
  4. Haga clic en la opción " Protección de firewall y red ".
  5. Seleccione la opción " Permitir una aplicación a través del firewall ".
  6. Haga clic en " Cambiar configuración " para otorgar los permisos necesarios .
  7. Permita " Nexus Mod Manager " y todas las aplicaciones relacionadas con NMM a través de las redes " Públicas " y " Privadas ".
  8. Haga clic en " Aceptar ", ejecute la aplicación y verifique si el problema persiste.

    Permitir una aplicación a través del Firewall.

Solución 3: Actualización de la aplicación.

Hubo un error con la versión anterior de la aplicación debido a que se activó el error. Además, las versiones anteriores de la aplicación usaban el protocolo HTTP en lugar del protocolo HTTP. Como Nexus Mods actualizó sus servidores para usar el protocolo "HTTPs", las versiones anteriores quedaron inútiles. Por lo tanto, en este paso, vamos a solucionar ambos problemas actualizando la aplicación a la última versión.

  1. Desinstale el Nexus Mod Manager .
  2. Haga clic aquí para descargar la última versión de la aplicación .
  3. Una vez descargado, instale la aplicación.

    Instalando la aplicación.
  4. Intente ejecutar Nexus Mod Manager y verifique si el problema persiste.

Artículos De Interés